.switch {
  z-index: 0;
  position: relative;
  display: inline-block;
}

/* Input */
.switch > input {
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  z-index: -1;
  position: absolute;
  left: -9px;
  top: -8px;
  display: block;
  margin: 0;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  background-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38);
  outline: none;
  opacity: 0;
  transform: scale(1);
  pointer-events: none;
  transition:
    opacity 0.3s 0.1s,
    transform 0.2s 0.1s;
}

/* label */
.switch > label {
  display: inline-block;
  width: 100%;
  cursor: pointer;
  line-height: 24px;
  margin: 0;
}

/* Track */
.switch > label::before {
  content: "";
  float: left;
  margin: 5px 10px 5px 1px;
  border-radius: 7px;
  width: 36px;
  height: 14px;
  background-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38);
  vertical-align: top;
  transition:
    background-color 0.2s,
    opacity 0.2s;
}

.switch > input:focus-visible + label::before {
  outline: 2px solid var(--color-primary);
}

/* Thumb */
.switch > label::after {
  content: "";
  position: absolute;
  top: 2px;
  left: 0;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  background-color: rgb(var(--pure-material-onprimary-rgb, 255, 255, 255));
  box-shadow:
    0 3px 1px -2px rgba(0, 0, 0, 0.2),
    0 2px 2px 0 rgba(0, 0, 0, 0.14),
    0 1px 5px 0 rgba(0, 0, 0, 0.12);
  transition:
    background-color 0.2s,
    transform 0.2s;
}

/* Checked */
.switch > input:checked {
  left: 6px;
  background-color: rgb(var(--pure-material-primary-rgb, 33, 150, 243));
}

.switch > input:checked + label::before {
  background-color: rgba(var(--pure-material-primary-rgb, 33, 150, 243), 0.6);
}

.switch > input:checked + label::after {
  background-color: rgb(var(--pure-material-primary-rgb, 33, 150, 243));
  transform: translateX(16px);
}

/* Hover, Focus */
.switch:hover > input {
  opacity: 0.04;
}

.switch > input:focus-visible {
  opacity: 0.12;
}

.switch:hover > input:focus-visible {
  opacity: 0.16;
}

/* Active */
.switch > input:active {
  opacity: 1;
  transform: scale(0);
  transition:
    transform 0s,
    opacity 0s;
}

.switch > input:active + label::before {
  background-color: rgba(var(--pure-material-primary-rgb, 33, 150, 243), 0.6);
}

.switch > input:checked:active + label::before {
  background-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38);
}

/* Disabled */
.switch > input:disabled {
  opacity: 0;
}

.switch > input:disabled + label {
  color: rgb(var(--pure-material-onsurface-rgb, 0, 0, 0));
  opacity: 0.38;
  cursor: default;
}

.switch > input:disabled + label::before {
  background-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38);
}

.switch > input:checked:disabled + label::before {
  background-color: rgba(var(--pure-material-primary-rgb, 33, 150, 243), 0.6);
}
